Fork me on GitHub




(1) 2 3 »


Problème Upgrade 2.4 : Serveur dédié
Aspirant
Inscrit: 23/06/2008 11:02
Messages: 28
Bonjour, voila j'essaye de mettre à jour un de mes sites xoops en 2.3.3 vers la 2.4.1.

Ce n'est pas la 1er mise à jour que je fait de xoops.

J'ai fait ma petite sauvegarde...

J'ai upload tous les fichiers contenu dans le zip 2.3.3 to 2.4.1

Ensuite j'ai modifié les droits sur le mainfile en 777

Puis je suis aller avec mon navigateur sur /upgrade

Mon problème survient à ce moment la.

Je clic sur "Début de la mise à jour" il charge ?action=next puis rien ne se passe , je reste sur la même page.

Si j'essaye d'aller dans l'admin --> Page blanche ...

Quelqu'un aurai un idée de mon soucis ? (j'ai désactivé protector depuis ma bdd)

Posté le : 17/11/2009 16:41
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4
Semi pro
Inscrit: 08/03/2006 21:08
Messages: 1146
Moi je te conseille de télécharger le package complet de la 2.4.1 ensuite tu fais les opérations suivantes:

1° Depuis le package complet, tu ré-upload le dossier "xoops_lib" dans "xoops_lib"(ou le nome que tu lui a donné) qui se trouve sur ton serveur.
2° Depuis le package complet,tu prend le dossier "protector" (dans le dossier de module) et tu ré-upload le dossier sur ton serveur.

Ton problème risque de disparaître!

Posté le : 17/11/2009 17:46
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4
Aspirant
Inscrit: 23/06/2008 11:02
Messages: 28
J'ai testé , sans succès ... j'ai vidé les caches etc...

L'upgrade ne passe pas :'(

Posté le : 18/11/2009 14:47
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4
Régulier
Inscrit: 04/02/2003 03:43
De Carcassonne
Messages: 173
Salut,

jete un oeil sur la news de la 2.4.0 ça explique comment mettre à jour.
Pense aussi à ouvrir en écriture le fichier include/license.php

Posté le : 18/11/2009 15:16

vivement l'heure de l'apéro
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4
Aspirant
Inscrit: 23/06/2008 11:02
Messages: 28
Bonjour,

J'ai fait la maj sur un autre serveur. Cela à très bien fonctionné. (C'était sur un serveur mutualisé).

La j'essaye sur ce cas de figure sur un serveur dédié... Qu'est ce qui pourrai être bloquant par rapport à la maj sur un dédié ?

Posté le : 24/11/2009 11:10
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4 : Serveur dédié
Supporter Xoops
Inscrit: 09/01/2005 13:37
De Breizh
Messages: 16972
Bonjour,

Quelle est la configuration de ton serveur dédié ?

@+

Posté le : 24/11/2009 12:32

La connaissance s'accroît quand on la partage ...
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4 : Serveur dédié
Aspirant
Inscrit: 23/06/2008 11:02
Messages: 28
http://www.dedibox.fr/dedibox-xl/serveur_dedibox_xl.html

avec system Cent OS

Version de Xoops : XOOPS 2.3.3
Jeu de templates : default
Version PHP : 5.1.6
Version MySQL : 5.0.22
Logiciel serveur : Apache/2.2.3 (CentOS)
Statut safe mode : ON (This May Cause Problems)
Register Globals : OFF

Posté le : 25/11/2009 13:15
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4 : Serveur dédié
Supporter Xoops
Inscrit: 09/01/2005 13:37
De Breizh
Messages: 16972
As-tu un système de cache (type eaccelerator) sur ton serveur ? dans l'affirmative, vides son cache

@+

Posté le : 25/11/2009 13:46

La connaissance s'accroît quand on la partage ...
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4 : Serveur dédié
Aspirant
Inscrit: 23/06/2008 11:02
Messages: 28
Après vérification, aucun système de cache est installer sur le système de mon serveur. Tu aurai une autre piste ?

Lorsque je veux faire la maj 2.4.2 la licence est avec une croix rouge. J'ai essayer de mettre le fichier include/license.php avec les droits 777 , ça ne fonctionne pas mieux ...

Posté le : 03/12/2009 14:54
Partager Twitter Partagez cette article sur GG+
Re: Problème Upgrade 2.4 : Serveur dédié
Régulier
Inscrit: 09/04/2006 21:04
Messages: 423
Bonjour,

C'est peut-être un probleme de droit, il se peut qu'apache(ou autre serveur web) n'a pas les droits nécessaires pour effectuer les actions demandées. Et le debugage donne quoi ?

Au passage : Ne donne jamais de tels droits "777" à tes répertoires ou fichiers, c'est comme-ci tu laissais la clé sur la porte et tu dis aux pirates ils vous suffit de tourner la clé pour rentrer. Apache n'a pas besoin de tous ces droits pour accéder et écrire à certains endroits. Il faut jouer avec les permissions "propriétaire" et "groupe" pour ne pas avoir besoin de donner ces chmods suicidaires .

Posté le : 03/12/2009 15:46

Développeur web.
Partager Twitter Partagez cette article sur GG+

 Haut   Précédent   Suivant
(1) 2 3 »




Propulsé avec XOOPS | Graphisme adapté par Tatane, Grosdunord, Montuy337513

65 Personne(s) en ligne (53 Personne(s) connectée(s) sur Forum) | Utilisateur(s): 0 | Invité(s): 65 | Plus ...